import axios from 'axios';
import JournalItem from '@/repository/JournalItem';


export default {
    journalData() {
        return {
            getByYear: (year: number, uid: number) => axios.get(`/api/journal/getjournal.php?year=${year}&uid=${uid}`),
            updateRow: (row: JournalItem) => axios.post('/api/journal/postjournal.php', row),
        };
    },
};
